Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


Cómo solucionar "No se puede ejecutar mksdcard SDK herramienta" al instalar Android Studio en Fedora 21?

Estoy intentando instalar Android Studio en un sistema Fedora 21 de 64 bits.

Tengo los requisitos JRE y JDK instalados, descomprimido la instalación de Android Studio, y de su "bin" directorio emitió "sh studio.sh" para completar la instalación.

El Asistente para la instalación falló con el mensaje "No se puede ejecutar mksdcard SDK herramienta" y sugirió que las bibliotecas de 32 bits podrían ser necesarias.

7 Solutions collect form web for “Cómo solucionar "No se puede ejecutar mksdcard SDK herramienta" al instalar Android Studio en Fedora 21?”

( Esta respuesta es para una distribución de Ubuntu )

Si está ejecutando el Ubuntu de 64 bits , la siguiente solución debería resolver su problema:

sudo apt-get install lib32z1 lib32ncurses5 lib32bz2-1.0 lib32stdc++6 

ACTUALIZAR:

Para Ubuntu 15.10 y 16 ( Proporcionado por tony gil y briankip ):

 sudo apt-get install lib32z1 lib32ncurses5 lib32stdc++6 

De una discusión del problema en http://forums.fedoraforum.org/showthread.php?t=303238 he instalado varios paquetes con el comando

 sudo yum install compat-libstdc++-296.i686 compat-libstdc++-33.i686 ncurses-libs.i686 compat-libstdc++-33.x86_64 

Después de que se hayan instalado correctamente (y sus dependencias), hacer clic en "RETRY" en el menú emergente del Asistente de instalación mostrando el error permitió que la instalación de Android Studio se realizara con éxito.

El Proyecto Wiki de Fedora también tiene un artículo sobre cómo configurar Android Development.

Para los sistemas de 64 bits, tendrá que instalar estos paquetes

Yum install glibc.i686 glibc-devel.i686 libstdc ++. I686 zlib-devel.i686 ncurses-devel.i686 libX11-devel.i686 libXrender.i686 libXrandr.i686

Otras respuestas aquí no parecen funcionar para Fedora. Así que aquí he llegado con una solución probada para esto:

 sudo dnf install compat-libstdc++-296 compat-libstdc++-33 glibc libgcc nss-softokn-freebl libstdc++ ncurses-libs zlib-devel.i686 ncurses-devel.i686 ant 

Incluso tengo el mismo error al instalar Android sdk en Ubuntu 14.04. Se trata de un problema de compatibilidad en el que intenta instalar Android SDK en un sistema de 64 bits que inturn requiere unos binarios de 32 bits para completar la instalación.

Estos son los pasos para resolver el problema.

  1. Abra el nuevo terminal (ctrl + alt + t o R-click y el nuevo terminal)
  2. Pegue el comando "sudo apt-get install lib32z1 lib32ncurses5 lib32bz2-1.0 lib32stdc ++ 6" y si la acción requiere contraseña, dámela.

Eso es. Todos los binarios necesarios de 32 bits se instalarán. Una vez que se instala, puede reiniciar la instalación de Android SDK, que se instalará completamente.

¡Encuentra el Tutorial aquí !

En Fedora 24 inicio de sesión con su

 dnf install compat-libstdc++-296 compat-libstdc++-33 glibc libgcc nss-softokn-freebl libstdc++ ncurses-libs zlib-devel.i686 ncurses-devel.i686 ant 

Consulte en esta documentación oficial https://developer.android.com/studio/troubleshoot.html#linux-libraries

En breve puse los fragmentos aquí

Bibliotecas de Linux

Si está ejecutando Android Studio en una máquina Linux de 64 bits , puede que tenga que instalar algunas bibliotecas específicas, de la siguiente manera.

Si está ejecutando una versión de 64 bits de Ubuntu , debe instalar algunas bibliotecas de 32 bits con el siguiente comando:

 sudo apt-get install libc6:i386 libncurses5:i386 libstdc++6:i386 lib32z1 lib32bz2-1.0 

Si está ejecutando Fedora de 64 bits , el comando es:

 sudo yum install zlib.i686 ncurses-libs.i686 bzip2-libs.i686 

Tenga en cuenta que esas instrucciones pueden ser obsoletas algún día, por lo que es mejor seguir / visitar el sitio oficial para evitar problemas sin resolver

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.